<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <Button
                    android:id="@+id/btnGetGps"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Get GPS" />

                <Button
                    android:id="@+id/btnPause"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="暂停刷新"
                    />
                <Button
                    android:id="@+id/btnContinue"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="继续刷新"
                    />
                <Button
                    android:id="@+id/btnClear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="清除log"
                    />

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <TextView
                    android:id="@+id/tvLastData"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="信号值参考范围:0 ~ 99 dBHz"
                    />


            </LinearLayout>

        </LinearLayout>
    </ScrollView>


    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="4"
        android:padding="10dp"
        android:stackFromBottom="true"
        android:transcriptMode="alwaysScroll">


    </ListView>

</LinearLayout>